extends Resource
class_name ActionDef

@export var id: String = ""                                # 例如 "Jump", "MoveX"
@export_enum("button", "axis") var kind: String = "button" # 动作类型（按钮/轴）

func is_valid() -> bool:
	return id != "" and (kind == "button" or kind == "axis")
